#include "EthernetModule.hpp"



EthernetModule::EthernetModule(string className) : ModuleBaseClass(className)
{
    //Add NEW command, new I2CCommand(command name, HELP message)
    addCommand(new EthernetCommand(CMD_LIST, "List supported Ethernet devices"));
    addCommand(new EthernetCommand(CMD_SHOW, "Show ethernet device information"));
    addCommand(new EthernetCommand(CMD_TEST, "Ethernet functional test"));
    addCommand(new EthernetCommand(CMD_MAC, "Ethernet MAC addresses operations"));
    addCommand(new EthernetCommand(CMD_EEPROM, "Ethernet EEPROM operation"));
    addCommand(new EthernetCommand(CMD_SFP, "SFP of 10G Ethernet functional operation"));
    addCommand(new EthernetCommand(CMD_ERROR, "Get error statistics or PCI AER counter"));
}



EthernetModule::~EthernetModule()
{

}
