#ifndef FPGA_OPERATION_H
#define FPGA_OPERATION_H

#include "OperationBaseClass.hpp"

using namespace std;

class FPGAOperation: public OperationBaseClass
{
    public:
                FPGAOperation(OPERATION_TYPE, string);
        virtual ~FPGAOperation();

        int     executeOperation(StringParser);

        int     executeShowAll(StringParser);

        int     executeShowDesignID(StringParser);

        int     executeShowFW(StringParser);

        int     executeSPADRange(StringParser);

        int     executeSPADRead(StringParser);

        int     executeSPADWrite(StringParser);

        int     executeUtilityGet(StringParser);

        int     executeUtilitySet(StringParser);
    private:
        void    showOperationHelp(void);

        int     showSPADContent(string, UINT32, UINT32);
};

#endif
