#include "I2CModule.hpp"



I2C_module::I2C_module(string className) : ModuleBaseClass(className)
{
    //Add NEW command, new I2CCommand(command name, HELP message)
    addCommand(new I2CCommand(CMD_LIST, "List supported I2C devices"));
    addCommand(new I2CCommand(CMD_SHOW, "Show I2C device information"));
    addCommand(new I2CCommand(CMD_UTILITY, "Read or write data form I2C device"));
    addCommand(new I2CCommand(CMD_TEST, "I2C device functional test"));
}



I2C_module::~I2C_module()
{

}
