#include "MemoryModule.hpp"
#include "MemoryCommand.hpp"


MemoryModule::MemoryModule(string in_strName) : ModuleBaseClass(in_strName)
{
    addCommand(new MemoryCommand(CMD_LIST, "List supported DIMMs"));
    addCommand(new MemoryCommand(CMD_SHOW, "Show memory information"));
    addCommand(new MemoryCommand(CMD_TEST, "Memory functional test"));
    addCommand(new MemoryCommand(CMD_UTILITY, "Memory operation access"));
    addCommand(new MemoryCommand(CMD_ECC, "ECC functional operation"));
}

MemoryModule::~MemoryModule()
{

}
