#include "NVMeModule.hpp"

NVMeModule::NVMeModule(string className) :
        ModuleBaseClass(className)
{
    addCommand(new NVMeCommand(CMD_LIST, "List Supported NVMe Devices"));
    addCommand(new NVMeCommand(CMD_SHOW, "Show NVMe Device Information"));
    addCommand(new NVMeCommand(CMD_UTILITY, "NVMe supported utility"));
    addCommand(new NVMeCommand(CMD_TEST, "Read or Write Test Performance form NVMe device"));
    addCommand(new NVMeCommand(CMD_FW, "NVME firmware utilities"));
    addCommand(new NVMeCommand(CMD_ERROR, "Get Error Statistics from NVMe device"));
}

NVMeModule::~NVMeModule()
{

}
