#include "PCIModule.hpp"

PCIModule::PCIModule(string className) : ModuleBaseClass(className)
{
    addCommand(new PCICommand(CMD_LIST, "List PCI devices or PCIe switch EEPROMs"));
    addCommand(new PCICommand(CMD_SHOW, "Show PCI/PCIe device information"));
    addCommand(new PCICommand(CMD_TEST, "Perform functional test"));
    addCommand(new PCICommand(CMD_UTILITY, "Provide utilities for PCI/PCIe devices"));
    addCommand(new PCICommand(CMD_EEPROM, "Operation functions for PCIe switch EEPROM"));
    addCommand(new PCICommand(CMD_ERROR, "Operation functions related to PCI/PCIe errors"));
}

PCIModule::~PCIModule()
{

}
