#include "PSUModule.hpp"
#include "PSUCommand.hpp"


PSUModule::PSUModule(string in_strName) : ModuleBaseClass(in_strName)
{
    addCommand(new PSUCommand(CMD_LIST, "List supported PSU or devices on PSU"));
    addCommand(new PSUCommand(CMD_SHOW, "Show PSU information"));
    addCommand(new PSUCommand(CMD_FAN, "FAN speed access"));
    addCommand(new PSUCommand(CMD_LED, "LED access"));
    addCommand(new PSUCommand(CMD_TEMP, "Temperature sensor access"));
    addCommand(new PSUCommand(CMD_FW, "Program PSU's FW"));
}

PSUModule::~PSUModule()
{

}
