#ifndef TEMPERATURE_OPERATION_H
#define TEMPERATURE_OPERATION_H

#include <stdio.h>
#include <iostream>
#include <string>
#include "OperationBaseClass.hpp"
#include "TemperatureDAPI.hpp"

//using namespace std;

//#define OPRATION_HELP  "help"

//Define opration type
/*
enum TEMPERATURE_OPRATION_TYPE {
    NO_OPRATION = 0,
    READ,
    WRITE,
};
*/


class TemperatureOperation: public OperationBaseClass
{
    public:
                TemperatureOperation(OPERATION_TYPE, string);
       virtual  ~TemperatureOperation();

                //Decide which operation to be executed
                int  executeOperation(StringParser);

                //List Temperature sensor
                int executeList(StringParser);

                //Show Temperature sensor
                int executeShow(StringParser);

                //Show Temperature sensor
                int executeUtility(StringParser);

                //Show parameter message here
                int  helpParameter();

                //Check parameter syntax here
                int  checkSyntax(StringParser);
                
    private:
                OPERATION_TYPE  m_OperationType;
                TemperatureDAPI         *m_pTemperatureDAPI;
};

#endif
