#ifndef CPU_DDAPI_BROADWELLDE_H
#define CPU_DDAPI_BROADWELLDE_H

#include "I2CTemperatureBaseClass.hpp"
#include "ProcessorDDAPI.hpp"


#define MSR_TEMPERATURE_TARGET     0x1A2
#define MSR_THERMAL_STATUS         0x1B1
#define MSR_THERMAL_INTERRUPT      0x1B2


class BroadwellDE : public I2CTemperature
{
public:
               BroadwellDE(STRING in_szClassName);
               ~BroadwellDE();

    ErrorMsg*  GetCurrntTemperature(string wellknow_name, string *result);
    ErrorMsg*  GetThresholdHigh(string wellknow_name, string *result);
    ErrorMsg*  GetThresholdLow(string wellknow_name, string *result);
    ErrorMsg*  SetThresholdHigh(string wellknow_name, string data);
    ErrorMsg*  SetThresholdLow(string wellknow_name, string data);


protected:

private:
    ErrorMsg   *m_errorCode;
};

#endif