#ifndef I2C_DDAPI_DIMMTEMPERATURE_H
#define I2C_DDAPI_DIMMTEMPERATURE_H

#include "I2CTemperatureBaseClass.hpp"

#define THL  0x02   //Temperature High Limit
#define TLL  0x03   //Temperature Low Limit
#define CAT  0x05   //Current Ambient temperature



class DIMMTemperature : public I2CTemperature
{
public:
               DIMMTemperature(STRING in_szClassName);
               ~DIMMTemperature();

    ErrorMsg*  GetCurrntTemperature(string wellknow_name, string *result);
    ErrorMsg*  GetThresholdHigh(string wellknow_name, string *result);
    ErrorMsg*  GetThresholdLow(string wellknow_name, string *result);
    ErrorMsg*  SetThresholdHigh(string wellknow_name, string data);
    ErrorMsg*  SetThresholdLow(string wellknow_name, string data);

        float  ConverTemperature(int temperature);

protected:

private:
    ErrorMsg   *m_errorCode;
};

#endif
