#ifndef NTBCommand_H
#define NTBCommand_H

#include "NTBOperation.hpp"
#include "CommandBaseClass.hpp"
#include "NTBDAPI.hpp"


class NTBCommand : public CommandBaseClass
{
    public:
        NTBCommand(COMMAND_TYPE, string);
        ~NTBCommand();

        int executeCommand(StringParser in_classCommandLine);

    private:
        int         m_s32Result;
        ErrorMsg*   m_pErrorMsg;
        NTBDAPI*    m_pNTBDAPI;

        int List();
};

#endif
