#include "SASModule.hpp"

SASModule::SASModule(string className) :
        ModuleBaseClass(className)
{
    addCommand(new SASCommand(CMD_LIST, "List Supported SAS Devices"));
    addCommand(new SASCommand(CMD_SHOW, "Show SAS Device Information"));
    addCommand(new SASCommand(CMD_UTILITY, "Reset SAS Controller"));
    addCommand(new SASCommand(CMD_TEST, "Read or Write Test Performance form SAS device"));
    addCommand(new SASCommand(CMD_ERROR, "Get Error Statistics from SAS device"));
    addCommand(new SASCommand(CMD_PROGRAM, "Program SAS address/firmware to SAS controller"));
}

SASModule::~SASModule()
{

}
