#ifndef UARTCommand_H
#define UARTCommand_H

#include "CommandBaseClass.hpp"
#include "UARTDAPI.hpp"

class UARTCommand : public CommandBaseClass
{
    public:
        UARTCommand(COMMAND_TYPE, string);
        ~UARTCommand();

        int executeCommand(StringParser in_classCommandLine);

    private:
        UARTDAPI*   m_pUartDAPI;
        ErrorMsg*   m_pErrorMsg; 
        int         m_s32Result;


        int List();
        int Run(StringParser    in_classCommandLine);

};


#endif
